<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="dialup" id="connection-time-by-period" charttype="bars">

 <lire:title>Connection Time By Type By Period Dialup Report</lire:title>
 <lire:description>
  <para>This report lists the total connection time by period.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1d">
   <lire:description>
    <para>This parameter controls the time period over which the
     connection time is aggregated.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Connection Time By Type By $period Period</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-time_period">
   <lire:field name="connection_type"/>

   <lire:timegroup period="$period" label="Period">
    <lire:sum name="time_period" field="connection_time" label="Time"/>
    <lire:sum name="time_type_ratio" field="connection_time"
     ratio="group" label="% Time for Type"/>
    <lire:sum name="time_ratio" field="connection_time"
     ratio="table" label="% Total Time"/>
   </lire:timegroup>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>
